%global momorel 10
%global require_kernel_ver 2.6.35.14-2m%{?dist}

%global spl_ver 0.6.0
%global zfs_ver 0.6.0-rc5
%global zfs_real_ver 0.6.0
%global kver %{require_kernel_ver}.%{_arch}

%global spldir /usr/src/spl-%{spl_ver}/%{kver}
%global kdir /usr/src/kernels/%{kver}

Summary:         ZFS File System
Group:           System Environment/Base
Name:            zfs-modules
Version:         %{zfs_real_ver}
Release:         %{momorel}m%{?dist}
License:         "CDDL"
URL:             git://eris.llnl.gov/zfs.git
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id} -un)
Source0:         http://github.com/downloads/zfsonlinux/zfs/zfs-%{zfs_ver}.tar.gz
NoSource:        0
Requires:        kernel = %{require_kernel_ver}
BuildRequires:   kernel-devel = %{require_kernel_ver}
BuildRequires:   autoconf
BuildRequires:   automake
BuildRequires:   libtool

%description
The %{name} package contains kernel modules and support utilities for
the %{name} file system.

%package devel
Summary:         ZFS File System Headers and Symbols
Group:           Development/Libraries
Requires:        filesystem
Requires:        kernel = %{require_kernel_ver}
BuildRequires:   kernel-devel = %{require_kernel_ver}

%description devel
The %{name}-devel package contains the kernel header files and 
Module.symvers symbols needed for building additional modules
which use %{name}.

%prep
#%setup -q -n zfs-%{version}
%setup -q -n zfs-%{zfs_ver}

chmod 755 autogen.sh

%build
./autogen.sh

%configure --with-linux=%{kdir} --with-linux-obj=%{kdir} \
           --with-spl=%{spldir} --with-spl-obj=%{spldir} \
           --with-config=kernel
%make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
/lib/modules/%{kver}/addon/zfs/*

%files devel
%defattr(-,root,root)
%{_prefix}/src/zfs-%{zfs_real_ver}/%{kver}


%post
if [ -f /boot/System.map-%{kver} ]; then
	depmod -ae -F /boot/System.map-%{kver} %{kver} || exit 0
else
	depmod -ae %{kver} || exit 0
fi

%postun
if [ -f /boot/System.map-%{kver} ]; then
	depmod -ae -F /boot/System.map-%{kver} %{kver} || exit 0
else
	depmod -ae %{kver} || exit 0
fi

%changelog
* Thu May 19 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-10m)
- update 0.6.0-rc5
- change URL

* Thu May 19 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-9m)
- rebuild against kernel-2.6.35.13-4m

* Sun May  8 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-8m)
- update 0.6.0-rc4

* Mon May  2 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-7m)
- rebuild against kernel-2.6.35.13-1m

* Thu Apr 28 2011 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.6.0-6m)
- rebuild against kernel-2.6.35.12-5m

* Thu Apr 21 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-5m)
- rebuild against kernel-2.6.35.12-4m

* Fri Apr 15 2011 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.6.0-4m)
- rebuild against kernel-2.6.35.12-3m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.0-3m)
- rebuild for new GCC 4.6

* Sat Apr  9 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-0.2m)
- update 0.6-rc3

* Sun Apr  3 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.6.0-0.1m)
- update 0.6-rc2

* Mon Feb 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-19m)
- rebuild against kernel-2.6.35.11-2m

* Mon Feb  7 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-18m)
- rebuild against kernel-2.6.35.11-1m

* Wed Feb  2 2011 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.2-17m)
- rebuild against kernel-2.6.35.10-7m

* Mon Jan 31 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-16m)
- rebuild against kernel-2.6.35.10-6m

* Tue Jan 18 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-15m)
- rebuild against kernel-2.6.35.10-5m

* Tue Jan 11 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-14m)
- rebuild against kernel-2.6.35.10-4m

* Sat Dec 25 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-13m)
- rebuild against kernel-2.6.35.10-3m

* Fri Dec 24 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-12m)
- rebuild against kernel-2.6.35.10-2m

* Tue Dec 21 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-11m)
- rebuild against kernel-2.6.35.10-1m

* Fri Dec 10 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-10m)
- rebuild against kernel-2.6.35.9-6m

* Thu Dec  2 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-9m)
- rebuild against kernel-2.6.35.9-5m

* Wed Dec  1 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-8m)
- rebuild against kernel-2.6.35.9-4m

* Sun Nov 28 2010 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.2-7m)
- rebuild against kernel-2.6.35.9-3m

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.2-6m)
- rebuild for new GCC 4.5

* Fri Nov 26 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-5m)
- rebuild against kernel-2.6.35.9-2m

* Tue Nov 23 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-4m)
- rebuild against kernel-2.6.35.9-1m

* Sun Nov 21 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-3m)
- rebuild against kernel-2.6.35.8-9m

* Sat Nov 20 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.2-2m)
- rebuild against kernel-2.6.35.8-8m

* Thu Nov 18 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.2-1m)
- update 0.5.2

* Fri Nov 12 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.1-11m)
- rebuild against kernel-2.6.35.8-6m

* Thu Nov 11 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.1-10m)
- rebuild against kernel-2.6.35.8-5m

* Sun Nov  7 2010 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.1-9m)
- rebuild against kernel-2.6.35.8-4m

* Wed Nov  3 2010 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.1-8m)
- rebuild against kernel-2.6.35.8-3m

* Mon Nov  1 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.1-7m)
- rebuild against kernel-2.6.35.8-2m

* Fri Oct 29 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.1-6m)
- rebuild against kernel-2.6.35.8-1m

* Thu Oct 28 2010 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.1-5m)
- rebuild against kernel-2.6.35.7-2m

* Tue Oct  5 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-9m)
- rebuild against kernel 2.6.35.4-9m

* Wed Sep 29 2010 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.1-4m)
- rebuild against kernel-2.6.35.7-1m

* Fri Sep 24 2010 Ichiro Nakai <ichiro@n.email.ne.jp> 
- (0.5.1-3m)
- rebuild against kernel-2.6.35.5-2m

* Fri Sep 17 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.1-2m)
- rebuild against kernel-2.6.35.4-9m

* Tue Sep 14 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.1-1m)
- update

* Sat Sep 11 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-8m)
- drop ix86 build only x86_64

* Thu Sep  2 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-7m)
- [BUILD FIX] specify Release of kernel

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-6m)
- full rebuild for mo7 release

* Sun Aug 29 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.0-5m)
- fix up spec file for x86_64

* Sun Aug 29 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.5.0-4m)
- cleanup spec
- rebuild against kernel-2.6.35.4-6m
- build zfs-modules-PAE, zfs-modules-PAE-devel

* Mon Aug 23 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-3m)
- rebuild against

* Sun Aug 22 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- rebuild against kernel 2.6.35.3

* Tue Aug 17 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-1m)
- update

* Sun Jun  6 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.9-1m)
- initial made for Momonga Linux
